%define Name Khttrack
Name: khttrack
Version: 0.11
Release: alt7
Summary: Download a WWW site to a local directory with a KDE GUI
Summary(uk_UA.CP1251):  WWW-     KDE GUI
Summary(ru_RU.CP1251):  WWW-     KDE GUI
License: %gpl2plus
URL: http://www.nongnu.org/%name
Group: Networking/File transfer
Source0: http://download.savannah.gnu.org/releases/%name/%name-%version.tar
Source1: %name.uk.po
Patch0: %name-0.11-version.patch
Patch1: %name-0.11-lapsus.patch
Patch2: %name-0.11-uk.patch
Patch3: %name-0.11-libdir.patch
Patch4: %name-0.11-includes.patch

# Automatically added by buildreq on Wed Mar 05 2008
#BuildRequires: ImageMagick gcc-c++ imake kdepim-devel libdnet-devel libgamin-devel libhttrack1-devel libjpeg-devel libssl-devel qt3-designer xorg-cf-files

BuildRequires: gcc-c++ kdelibs-devel libdnet-devel xorg-cf-files
BuildRequires: libgamin-devel libhttrack1-devel libjpeg-devel imake
BuildRequires: libssl-devel qt3-designer ImageMagick rpm-build-licenses

%description
%Name is a easy-to-use offline browser utility based on httrack used
as libary. The %Name project will give a KDE GUI to the httrack
library to be used by more people in an more simple and friendly way: a
simple wizard ask you all needed questions and it start automatically.
It allows you to download a World Wide Web site from the Internet to a
local directory, building recursively all directories, getting HTML,
images, and other files from the server to your computer. %Name
arranges the original site's relative link-structure. Simply open a
page of the "mirrored" website in your browser, and you can browse the
site from link to link, as if you were viewing it online. %Name can
also update an existing mirrored site, and resume interrupted
downloads. %Name is fully configurable, and has an integrated help
system. The KDE GUI will allow all option of httrack library.


%prep
%setup
%patch0 -p1 -b .orig0
for f in configure.*in; do
    [ -f "$f.orig0" ] && touch -r "$f.orig0" "$f"
done
%patch1 -p1
%patch2 -p1
%patch3 -p1 -b .orig3
%patch4 -p1
for f in *.m4 configure*.in admin/*.in; do
    [ -f "$f.orig3" ] && touch -r "$f.orig3" "$f"
done
subst 's|\.\./lib/src/ht[^ ]*\.h[[:blank:]]*||g' %name/Makefile.in
install -m 0644 %SOURCE1 po/uk.po


%build
rm -f config.cache
%configure --disable-rpath --disable-debug --with-pic
%make_build
for s in 48 24; do
    convert -resize ${s}x$s -depth 8 %name/{lo32-app-%name,%name-$s}.png
done


%install
%make DESTDIR=%buildroot install
rm -rf %buildroot{%_datadir/{applnk,locale/LC_MESSAGES},%_menudir}
mv %buildroot%_iconsdir/locolor %buildroot%_iconsdir/hicolor

#menu
install -d -m 0755 %buildroot%_desktopdir
iconv -f cp1251 -t utf-8 > %buildroot%_desktopdir/%name.desktop <<__MENU__
[Desktop Entry]
Name=%Name
Type=Application
Exec=%name -caption "%%c" %%i
Icon=%name
Comment=Download a WWW site to a local directory
Comment[uk]= WWW-   
Comment[ru]= WWW-   
Terminal=false
Categories=Qt;KDE;Network;FileTransfer;
__MENU__

for s in 48 24; do
    install -D -m 0644 {%name/%name-$s,%buildroot%_iconsdir/hicolor/${s}x$s/apps/%name}.png
done

%find_lang --with-kde %name


%post
%update_menus


%postun
%clean_menus


%files -f %name.lang
%doc AUTHORS README TODO
%_bindir/*
%_iconsdir/hicolor/*/apps/*
%_datadir/apps/%name
%_desktopdir/*


%changelog
* Sat Aug 09 2008 Led <led@altlinux.ru> 0.11-alt7
- fixed %name.desktop

* Wed Mar 05 2008 Led <led@altlinux.ru> 0.11-alt6
- added %name-0.11-includes.patch
- rebuild with libhttrack1

* Tue Mar 04 2008 Led <led@altlinux.ru> 0.11-alt5
- fixed %name.desktop

* Sun Mar 02 2008 Led <led@altlinux.ru> 0.11-alt4
- added icons
- fixed License

* Fri Sep 15 2006 Led <led@altlinux.ru> 0.11-alt3
- added %name-0.11-libdir.patch
- cleaned up spec
- fixed BuildRequires

* Fri Apr 21 2006 Led <led@altlinux.ru> 0.11-alt2
- added %name-0.11-lapsus.patch
- added uk translation
- added %name-0.11-uk.patch

* Wed Apr 19 2006 Led <led@altlinux.ru> 0.11-alt1
- added %name-0.11-version.patch

* Thu Jan 20 2005 ALT QA Team Robot <qa-robot@altlinux.org> 0.10-alt2.1
- Rebuilt with libstdc++.so.6.

* Tue Jun 15 2004 Andrey Semenov <mitrofan@altlinux.ru> 0.10-alt2
- cleanup spec file, update build requires

* Wed Jun 11 2003 Andrey Semenov <mitrofan@altlinux.ru> 0.10-alt1
- First version of RPM package.
